% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plotSpatial.R
\name{plotSpatial}
\alias{plotSpatial}
\title{Plot cells based on spatial coordinates.}
\usage{
plotSpatial(spe, reverseY = FALSE, n = 30, ...)
}
\arguments{
\item{spe}{A SpatialExperiment object.}

\item{reverseY}{Reverse y coordinates.}

\item{n}{Integer value. The number of distinct color to be generated,
default is 30.}

\item{...}{Aesthetic mappings to pass to \code{ggplot2::aes_string()}.}
}
\value{
A ggplot object.
}
\description{
Plot cells based on spatial coordinates.
}
\examples{

data("xenium_bc_spe")

plotSpatial(spe, shape = ".", color = cell_type, size = 0.3, alpha = 0.2)

}
